#### D.5.17.34 homog_parts

Procedure from library `schubert.lib` (see schubert_lib).

Usage:
  homog_parts(f,i,j); f poly, i int, j int

Return:
  poly

Theory:
  computing a polynomial which is the sum of the homogeneous components of a polynomial.

Example:

    LIB "schubert.lib";
    ring r = 0,(x,y,z),wp(1,2,3);
    poly f = 1+x+x2+x3+x4+y+y2+y3+z+z2+xy+xz+yz+xyz;
    homog_parts(f,2,4);
    ==> x4+y2+xz+x3+xy+z+x2+y

User manual for Singular version 4.4.1, 2025, generated by texi2html.